## net-retriever 1.18ubuntu5

=== Makefile ===
CFLAGS := -Os -fomit-frame-pointer -g -Wall
LDFLAGS := -ldebian-installer

all: vergt

clean:
	rm -f vergt

## net-retriever 0.36

=== debian/changelog ===
net-retriever (0.36) unstable; urgency=low

  * Reupload sans changes.

 -- Joey Hess <joeyh@debian.org>  Tue, 25 May 2004 15:28:52 -0300

net-retriever (0.35) unstable; urgency=low

  * Updated translations: 
    - Spanish (Castilian) (es.po) by Tefilo Ruiz Surez
    - Norwegian Nynorsk (nn.po) by Hvard Korsvoll

 -- Joey Hess <joeyh@debian.org>  Tue, 25 May 2004 12:41:57 -0300

net-retriever (0.34) unstable; urgency=low

  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bokmal, Norwegian (nb.po) by Bjørn Steensrud
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Slovenian (sl.po) by Jure Čuhalev

 -- Joey Hess <joeyh@debian.org>  Fri, 23 Apr 2004 13:21:07 -0400

net-retriever (0.33) unstable; urgency=low

  * Joey Hess
    - Fix handling of Cancel in error handling code. The case in the select
      was wrong.
  * Updated translations: 
    - Bosnian (bs.po) by Safir Šećerović
    - Catalan (ca.po) by Jordi Mallach
    - Greek, Modern (1453-) (el.po) by Konstantinos Margaritis
    - Finnish (fi.po) by Tapio Lehtonen
    - Gallegan (gl.po) by Héctor Fernández López
    - Hebrew (he.po) by Lior Kaplan
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Italian (it.po) by Cristian Rigamonti
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Romanian (ro.po) by Eddy Petrisor

 -- Joey Hess <joeyh@debian.org>  Mon, 19 Apr 2004 23:22:17 -0400

net-retriever (0.32) unstable; urgency=low

  * Updated translations: 
    - German (de.po) by Dennis Stampfer
    - Basque (eu.po) by Piarres Beobide Egaa
    - Dutch (nl.po) by Bart Cornelis
    - Polish (pl.po) by Bartosz Fenski
    - Russian (ru.po) by Nikolai Prokoschenko
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Swedish (sv.po) by Andr Dahlqvist
    - Turkish (tr.po) by Ozgur Murat Homurlu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Mon, 12 Apr 2004 23:08:17 -0400

net-retriever (0.31) unstable; urgency=low

  * Updated translations: 
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - French (fr.po) by Christian Perrier
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VERÓK István
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Albanian (sq.po) by Elian Myftiu
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Sat, 10 Apr 2004 00:47:27 -0400

net-retriever (0.30) unstable; urgency=low

  * Joey Hess
    - Add error handler, with support for retry, and also for running
      choose-mirror again to switch mirrors on the fly.
    - Only try to resume file download once, then start over. Busybox wget
      has been known to get confused resuming.
  * Christian Perrier
    - Reword the error handler template. Make choices translatable.
  * Updated translations: 
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - Basque (eu.po) by Piarres Beobide Egaña
    - French (fr.po) by Christian Perrier
    - Gallegan (gl.po) by Héctor Fernández López
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VERÓK István
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Albanian (sq.po) by Elian Myftiu
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Apr 2004 23:46:19 -0400

net-retriever (0.29) unstable; urgency=low

  * Updated translations: 
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Turkish (tr.po) by Ozgur Murat Homurlu
    - Traditional Chinese (zh_TW.po) by Tetralet
    - Albanian (sq.po) by Elian Myftiu

 -- Joey Hess <joeyh@debian.org>  Tue, 30 Mar 2004 15:00:03 -0500

net-retriever (0.28) unstable; urgency=low

  * Translations:
    - Russian by Nikolai Prokoschenko

 -- Joey Hess <joeyh@debian.org>  Sun, 14 Mar 2004 13:06:00 -0500

net-retriever (0.27) unstable; urgency=low

  * Translations:
    - Ming Hua
      - Initial Traditional Chinese translation (zh_TW.po), by Tetralet
      - Updated Traditional Chinese translation (zh_TW.po), by Tetralet
    - Håvard Korsvoll
      - Updated Norwegian, bokmål translation, (nb.po). From Axel Bojer
    - Dafydd Harries : Added Welsh translation (cy.po)
    - Kęstutis Biliūnas: Updated Lithuanian translation (lt.po)

 -- Joey Hess <joeyh@debian.org>  Sat, 13 Mar 2004 00:10:07 -0500

net-retriever (0.26) unstable; urgency=low

  * Joey Hess
    - Update to debhelper v4 and use its new udeb support.
  * Translations
    - Changwoo Ryu
      - Added Korean translation (ko.po)

 -- Joey Hess <joeyh@debian.org>  Sun, 22 Feb 2004 22:00:38 -0500

net-retriever (0.25) unstable; urgency=low

  * Joey Hess
    - mirror/distribution has been renamed to mirror/suite.

  * Translations
    - Giuseppe Sacco
      - applied patch for normalizing menus and some italian translation (it.po)
    - Elian Myftiu
      - added albanian translation (sq.po)
    - Jordi Mallach
      - Add Catalan translation (ca.po).
  * Eugen Meshcheryakov : added Ukrainian translation (uk.po)

 -- Christian Perrier <bubulle@debian.org>  Sun,  8 Feb 2004 20:26:41 +0100

net-retriever (0.24) unstable; urgency=low

  * Nikolai Prokoschenko
    - Initial russian translation (ru.po)
  * Ming Hua
    - Updated Simplified Chinese translation (zh_CN.po)
  * Safir Secerovic


=== debian/control ===
Source: net-retriever
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Tollef Fog Heen <tfheen@debian.org>, Martin Sjogren <sjogren@debian.org>
Build-Depends-Indep: debhelper (>= 4.2), dpkg-dev (>= 1.7.0)
Standards-Version: 3.6.0

Package: net-retriever
XC-Package-Type: udeb
Architecture: all
Depends: choose-mirror, configured-network
Provides: retriever
Description: Fetch modules from the Internet
 This is a retriever that uses wget to fetch files over http or ftp.

Package: download-installer
XC-Package-Type: udeb
Architecture: all
Priority: extra
Depends: net-retriever, anna
XB-installer-menu-item: 20
Description: Download installer components

## net-retriever 1.01

=== debian/changelog ===
net-retriever (1.01) unstable; urgency=low

  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Welsh (cy.po) by Dafydd Harries
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (Castilian) (es.po) by Javier Fernandez-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide Egaña
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Hungarian (hu.po) by VEROK Istvan
    - Indonesian (id.po) by Debian Indonesia Team
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnasn
    - Latvian (lv.po) by Aigars Mahinovs
    - Bøkmal, Norwegian (nb.po) by Bjorn Steensrud
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Russian L10N Team
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Swedish (sv.po) by Per Olofsson
    - Turkish (tr.po) by Recai Oktaş
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Oct 2004 14:33:50 -0400

net-retriever (1.00) unstable; urgency=low

  * Updated translations: 
    - Arabic (ar.po) by Ossama M. Khayat
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bosnian (bs.po) by Safir Šećerović
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Welsh (cy.po) by Dafydd Harries
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (Castilian) (es.po) by Javier Fernandez-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide Egaña
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnasn
    - Latvian (lv.po) by Aigars Mahinovs
    - Bøkmal, Norwegian (nb.po) by Axel Bojer
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Russian (ru.po) by Russian L10N Team
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Swedish (sv.po) by Per Olofsson
    - Turkish (tr.po) by Recai Oktaş
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Sep 2004 21:33:10 -0400

net-retriever (0.38) unstable; urgency=low

  * Matt Kraai
    - Try downloads three times before prompting the user (closes:
      #260348).

 -- Joey Hess <joeyh@debian.org>  Fri, 23 Jul 2004 14:12:41 -0400

net-retriever (0.37) unstable; urgency=low

  * Bastian Blank
    - Update Installer-Menu-Item.
  * Joey Hess
    - Make the error handler ask the retry question at critical priority,
      and don't retry if the question is still not shown; that caused an ugly
      loop.
  * Updated translations: 
    - Arabic (ar.po) by Ossama M. Khayat
    - Welsh (cy.po) by Dafydd Harries
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll

 -- Joey Hess <joeyh@debian.org>  Sat, 17 Jul 2004 14:30:20 -0400

=== debian/control ===
--- 
+++ 
@@ -19,5 +19,5 @@
 Architecture: all
 Priority: extra
 Depends: net-retriever, anna
-XB-installer-menu-item: 20
+XB-installer-menu-item: 23
 Description: Download installer components

## net-retriever 1.03ubuntu4

=== debian/changelog ===
net-retriever (1.03ubuntu4) hoary; urgency=low

  * Add draft Xhosa translation.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Mar 2005 13:58:35 +0000

net-retriever (1.03ubuntu3) hoary; urgency=low

  * Use gpgv --ignore-time-conflict to avoid validation errors due to clock
    problems.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  8 Feb 2005 08:26:55 +0000

net-retriever (1.03ubuntu2) hoary; urgency=low

  * Look for main/.../Packages.gz in Release, not
    hoary/main/.../Packages.gz.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Jan 2005 14:10:35 +0000

net-retriever (1.03ubuntu1) hoary; urgency=low

  * Backport from trunk:
    - Define error() as well as calling it.
  * Check md5sum and size of each Packages file against Release file.
  * Check signature of Release file if gpgv and the Ubuntu keyring are
    installed.

 -- Colin Watson <cjwatson@canonical.com>  Fri, 14 Jan 2005 20:19:03 +0000

net-retriever (1.03) unstable; urgency=low

  * Fix a stupid mistake in the logic of the last version.

 -- Joey Hess <joeyh@debian.org>  Sat, 18 Dec 2004 23:48:23 -0500

net-retriever (1.02) unstable; urgency=low

  * Colin Watson
    - Log a slightly better error if the Release file has no Components:
      line.
  * Joey Hess
    - Look at mirror/udeb/suite before mirror/suite, if it exists and is set
      then download udebs from the suite specified there. This was added to
      allow d-i builds to be made that use d-i udebs from unstable while still
      installing testing.
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Russian L10N Team

 -- Joey Hess <joeyh@debian.org>  Thu, 16 Dec 2004 20:38:23 -0500

## net-retriever 1.04ubuntu1

=== debian/changelog ===
net-retriever (1.04ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  3 May 2005 18:06:28 +0100

net-retriever (1.04) unstable; urgency=low

  * Not for sarge; needs new anna.
  * Joey Hess
    - Pass parameter to tell anna to use the net as the default media.
    - Version dep on anna.
  * Colin Watson
    - Define error() as well as calling it.
  * Christian Perrier
    - Rename the templates file to help out translators working
      on a single file
  * Updated translations: 
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (es.po) by Javier Fernandez-Sanguino Peña
    - Gallegan (gl.po) by Jacobo Tarrio
    - Hebrew (he.po) by Lior Kaplan
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Yuri Kozlov
    - Turkish (tr.po) by Recai Oktaş
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Joey Hess <joeyh@debian.org>  Sun,  1 May 2005 11:02:27 -0400

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,6 @@
 XC-Package-Type: udeb
 Architecture: all
 Priority: extra
-Depends: net-retriever, anna
+Depends: net-retriever, anna (>= 1.07)
 XB-installer-menu-item: 23
 Description: Download installer components

## net-retriever 1.09ubuntu2

=== debian/changelog ===
net-retriever (1.09ubuntu2) dapper; urgency=low

  * Fetch installer components from -updates and -security (the latter from
    apt-setup/security_host or security.ubuntu.com) as well as the unadorned
    suite.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  2 May 2006 22:42:09 +0100

net-retriever (1.09ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
  * Make sure never to download udebs from components other than main and
    restricted. This is an Ubuntu-specific hack for now because I have no
    bright ideas on how to make it more generic.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Jan 2006 22:12:10 +0000

net-retriever (1.09) unstable; urgency=low

  * Support Release files with multiple signatures; as long as one signature
    is by a valid key it's ok. Same behavior as debootstrap.

  [ Updated translations ]
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Finnish (fi.po) by Tapio Lehtonen
  * Hebrew (he.po) by Lior Kaplan
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Swedish (sv.po) by Daniel Nylander
  * Vietnamese (vi.po) by Clytie Siddall

 -- Joey Hess <joeyh@debian.org>  Tue,  3 Jan 2006 23:06:06 -0500

net-retriever (1.08) unstable; urgency=low

  * Depend on di-utils, not the non-existent debian-installer-utils.

  [ Updated translations ]
  * Catalan (ca.po) by Guillem Jover

 -- Colin Watson <cjwatson@debian.org>  Mon, 26 Dec 2005 12:36:52 +0000

net-retriever (1.07) unstable; urgency=low

  [ Joey Hess ]
  * Consistent indentation which saved .5k.
  * Move exit calls into error function.
  * Use log-output for gpgv call.

  [ Christian Perrier ]
  * Break Choices in single components in templates

  [ Frans Pop ]
  * Use mirror/codename instead of mirror/suite.
    Requires: cdrom-detect >=1.11; choose-mirror >=1.16; iso-scan >=1.10.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Ognyan Kulev
  * Bengali (bn.po) by Baishampayan Ghose
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hindi (hi.po) by Nishant Sharma
  * Indonesian (id.po) by Parlin Imanuel Toh
  * Icelandic (is.po) by David Steinn Geirsson
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Sunjae park
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Latvian (lv.po) by Aigars Mahinovs
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Macedonian (mk.po) by Georgi Stanojevski
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Frans Pop
  * Norwegian Nynorsk (nn.po)
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Jure Čuhalev
  * Swedish (sv.po) by Daniel Nylander
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Frans Pop <fjp@debian.org>  Sun, 25 Dec 2005 02:47:01 +0100

net-retriever (1.06ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 30 Oct 2005 07:50:48 -0500

net-retriever (1.06) unstable; urgency=low

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Greek, Modern (1453-) (el.po) by Greek Translation Team
  * Esperanto (eo.po) by Serge Leblanc
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Polish (pl.po) by Bartosz Fenski
  * Romanian (ro.po) by Eddy Petrisor
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Sep 2005 17:27:45 +0200

net-retriever (1.05) unstable; urgency=low

  * Colin Watson
    - Check md5sum and size of each Packages file against Release file.
    - Check signature of Release file if gpgv and a keyring are installed.

  * Updated translations: 
    - Arabic (ar.po) by Ossama M. Khayat
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Estonian (et.po) by Siim Põder
    - Basque (eu.po) by Piarres Beobide
    - Hebrew (he.po) by Lior Kaplan
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrişor
    - Russian (ru.po) by Yuri Kozlov
    - Slovak (sk.po) by Peter Mann
    - Tagalog (tl.po) by Eric Pareja
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Vietnamese (vi.po) by Clytie Siddall
    - Wolof (wo.po) by Mouhamadou Mamoune Mbacke
    - Xhosa (xh.po) by Canonical Ltd

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Jul 2005 17:09:45 +0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: net-retriever
 XC-Package-Type: udeb
 Architecture: all
-Depends: choose-mirror, configured-network
+Depends: choose-mirror, configured-network, di-utils (>= 1.16)
 Provides: retriever
 Description: Fetch modules from the Internet
  This is a retriever that uses wget to fetch files over http or ftp.

## net-retriever 1.10ubuntu2

=== debian/changelog ===
net-retriever (1.10ubuntu2) edgy; urgency=low

  * Use ports.ubuntu.com instead of security.ubuntu.com on ports
    architectures (see Malone #39342).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Oct 2006 15:13:16 +0100

net-retriever (1.10ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 29 Jun 2006 13:43:02 +0100

net-retriever (1.10) unstable; urgency=low

  [ Updated translations ]
  * Bulgarian (bg.po) by Ognyan Kulev
  * Hindi (hi.po) by Nishant Sharma
  * Latvian (lv.po) by Aigars Mahinovs
  * Latvian (pa_IN.po) by Amanpreet Singh Alam
  * Romanian (ro.po) by Eddy Petrişor
  * Slovenian (sl.po) by Jure Čuhalev
  * Albanian (sq.po) by Elian Myftiu
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Frans Pop <fjp@debian.org>  Mon, 23 Jan 2006 20:32:17 +0100

## net-retriever 1.12ubuntu2

=== debian/changelog ===
net-retriever (1.12ubuntu2) feisty; urgency=low

  * Set Maintainer to ubuntu-installer@lists.ubuntu.com.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Mar 2007 00:24:46 +0000

net-retriever (1.12ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Fetch installer components from -updates and -security as well as the
      unadorned suite; various hacks to deal with finding -security.
    - Make sure never to download udebs from components other than main and
      restricted.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 10 Nov 2006 10:02:19 -0800

net-retriever (1.12) unstable; urgency=low

  * Add missing debconf dependencies.
  * Remove standards-version and add Lintian override for it.

  [ Updated translations ]
  * Belarusian (be.po) by Andrei Darashenka
  * Estonian (et.po) by Siim Põder
  * Basque (eu.po) by Piarres Beobide
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Nishant Sharma
  * Croatian (hr.po) by Josip Rodin
  * Indonesian (id.po) by Arief S Fitrianto
  * Italian (it.po) by Stefano Canepa
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Aigars Mahinovs
  * Panjabi (pa.po) by A S Alam
  * Romanian (ro.po) by Eddy Petrișor
  * Albanian (sq.po) by Elian Myftiu
  * Tamil (ta.po) by Damodharan Rajalingam
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Frans Pop <fjp@debian.org>  Tue, 24 Oct 2006 15:26:29 +0200

net-retriever (1.11) unstable; urgency=low

  [ Colin Watson ]
  * Put debhelper in Build-Depends rather than in Build-Depends-Indep.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bengali (bn.po) by Progga
  * Bosnian (bs.po) by Safir Secerovic
  * Welsh (cy.po) by Dafydd Harries
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po)
  * Esperanto (eo.po) by Serge Leblanc
  * Estonian (et.po) by Siim Põder
  * Basque (eu.po) by Piarres Beobide
  * Irish (ga.po) by Kevin Patrick Scannell
  * Gujarati (gu.po) by Kartik Mistry
  * Hungarian (hu.po) by SZERVÑC Attila
  * Georgian (ka.po) by Aiet Kolkhi
  * Khmer (km.po) by Khoem Sokhem
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Nepali (ne.po) by Shiva Pokharel
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Northern Sami (se.po) by Børre Gaup
  * Slovenian (sl.po) by Jure Čuhalev
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Damodharan Rajalingam
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Vietnamese (vi.po) by Clytie Siddall

 -- Frans Pop <fjp@debian.org>  Thu, 13 Jul 2006 17:29:02 +0200

=== debian/control ===
Source: net-retriever
Section: debian-installer
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Tollef Fog Heen <tfheen@debian.org>, Martin Sjogren <sjogren@debian.org>
Build-Depends: debhelper (>= 4.2)
Build-Depends-Indep: dpkg-dev (>= 1.7.0)
XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/net-retriever

Package: net-retriever
XC-Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, choose-mirror, configured-network, di-utils (>= 1.16)
Provides: retriever
Description: Fetch modules from the Internet
 This is a retriever that uses wget to fetch files over http or ftp.

Package: download-installer
XC-Package-Type: udeb
Architecture: all
Priority: extra
Depends: ${misc:Depends}, net-retriever, anna (>= 1.07)
XB-installer-menu-item: 23
Description: Download installer components

## net-retriever 1.15

=== debian/changelog ===
net-retriever (1.15) unstable; urgency=low

  * Don't fail with error in unauthenticated mode if there is no Release.gpg.

 -- Joey Hess <joeyh@debian.org>  Fri, 23 Feb 2007 16:33:30 -0500

net-retriever (1.14) unstable; urgency=low

  * If debian-installer/allow_unauthenticated is true, only log a warning
    if authentication fails.
  * Depend on gpgv-udeb, which has apparently never really been pulled in
    before.

 -- Joey Hess <joeyh@debian.org>  Fri, 16 Feb 2007 16:12:30 -0500

net-retriever (1.13) unstable; urgency=low

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Belarusian (be.po) by Pavel Piatruk
  * Danish (da.po) by Claus Hindsgaul
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Eddy Petrișor
  * Slovenian (sl.po) by Matej Kovačič

 -- Frans Pop <fjp@debian.org>  Wed, 31 Jan 2007 11:49:18 +0100

=== debian/control ===
Source: net-retriever
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Tollef Fog Heen <tfheen@debian.org>, Martin Sjogren <sjogren@debian.org>
Build-Depends: debhelper (>= 4.2)
Build-Depends-Indep: dpkg-dev (>= 1.7.0)
XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/net-retriever

Package: net-retriever
XC-Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, choose-mirror, configured-network, di-utils (>= 1.16), gpgv-udeb
Provides: retriever
Description: Fetch modules from the Internet
 This is a retriever that uses wget to fetch files over http or ftp.

Package: download-installer
XC-Package-Type: udeb
Architecture: all
Priority: extra
Depends: ${misc:Depends}, net-retriever, anna (>= 1.07)
XB-installer-menu-item: 23
Description: Download installer components

## net-retriever 1.16ubuntu1

=== debian/changelog ===
net-retriever (1.16ubuntu1) gutsy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Fetch installer components from -updates and -security as well as the
      unadorned suite; various hacks to deal with finding -security.
    - Make sure never to download udebs from components other than main and
      restricted.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 25 Apr 2007 18:51:18 +0100

net-retriever (1.16) unstable; urgency=low

  * Multiply menu-item-numbers by 100

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Apr 2007 14:44:09 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: net-retriever
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Tollef Fog Heen <tfheen@debian.org>, Martin Sjogren <sjogren@debian.org>
 Build-Depends: debhelper (>= 4.2)
 Build-Depends-Indep: dpkg-dev (>= 1.7.0)
@@ -20,5 +21,5 @@
 Architecture: all
 Priority: extra
 Depends: ${misc:Depends}, net-retriever, anna (>= 1.07)
-XB-installer-menu-item: 23
+XB-installer-menu-item: 2300
 Description: Download installer components

## net-retriever 1.18ubuntu4

=== debian/changelog ===
net-retriever (1.18ubuntu4) hardy; urgency=low

  * Fetch security updates path from apt-setup/security_path if possible
    (LP: #51470).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 31 Mar 2008 05:37:44 +0100

net-retriever (1.18ubuntu3) hardy; urgency=low

  * Fetch udebs from components listed in mirror/udeb/components
    (LP: #191262).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 30 Mar 2008 22:14:22 +0100

net-retriever (1.18ubuntu2) hardy; urgency=low

  * Add Vcs-Bzr for Ubuntu.
  * Fetch installer components from -proposed if apt-setup/proposed is true
    (LP: #181776).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 08 Feb 2008 15:25:38 +0000

net-retriever (1.18ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Fetch installer components from -updates and -security as well as the
      unadorned suite; various hacks to deal with finding -security.
    - Make sure never to download udebs from components other than main and
      restricted.
  * Depend on ubuntu-keyring-udeb rather than debian-archive-keyring-udeb.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Oct 2007 18:18:10 +0100

net-retriever (1.18) unstable; urgency=low

  * Use /etc/udebs-source as the default release from which to fetch udebs.
    This is the same release (codename) as was used to build the images and
    thus ensures consistency. It is independent of the release selected for
    the target system. For daily builds the source will default to 'unstable'.
    Closes: #424640.

 -- Frans Pop <fjp@debian.org>  Sun, 27 May 2007 22:22:57 +0200

net-retriever (1.17) unstable; urgency=low

  [ Joey Hess ]
  * Depend on debian-archive-keyring-udeb.

  [ Updated translations ]
  * Esperanto (eo.po) by Serge Leblanc
  * Romanian (ro.po) by Eddy Petrișor

 -- Frans Pop <fjp@debian.org>  Mon, 21 May 2007 16:40:16 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
 Uploaders: Joey Hess <joeyh@debian.org>, Tollef Fog Heen <tfheen@debian.org>, Martin Sjogren <sjogren@debian.org>
 Build-Depends: debhelper (>= 4.2)
 Build-Depends-Indep: dpkg-dev (>= 1.7.0)
-XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/net-retriever
+XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/net-retriever
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/net-retriever/ubuntu
 
 Package: net-retriever
 XC-Package-Type: udeb
 Architecture: all
-Depends: ${misc:Depends}, choose-mirror, configured-network, di-utils (>= 1.16), gpgv-udeb
+Depends: ${misc:Depends}, choose-mirror, configured-network, di-utils (>= 1.16), gpgv-udeb, ubuntu-keyring-udeb
 Provides: retriever
 Description: Fetch modules from the Internet
  This is a retriever that uses wget to fetch files over http or ftp.

=== debian/rules ===
#!/usr/bin/make -f

build:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	chmod +x net-retriever
	dh_install net-retriever usr/lib/debian-installer/retriever

binary-arch: build install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## net-retriever 1.18ubuntu5

=== debian/changelog ===
net-retriever (1.18ubuntu5) hardy-proposed; urgency=low

  * Deduplicate Packages files before passing them to anna (LP: #234486).
    Circumstances conspire to make this excessively difficult, including
    requiring net-retriever to become Architecture: any; this should really
    be done in libdebian-installer, but for the meantime that's even harder.
  * Fetch packages from security host if trying to fetch them from the main
    host fails (LP: #94398).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 30 May 2008 13:21:23 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Tollef Fog Heen <tfheen@debian.org>, Martin Sjogren <sjogren@debian.org>
-Build-Depends: debhelper (>= 4.2)
+Build-Depends: debhelper (>= 4.2), libdebian-installer4-dev
 Build-Depends-Indep: dpkg-dev (>= 1.7.0)
 XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/net-retriever
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/net-retriever/ubuntu
 
 Package: net-retriever
 XC-Package-Type: udeb
-Architecture: all
-Depends: ${misc:Depends}, choose-mirror, configured-network, di-utils (>= 1.16), gpgv-udeb, ubuntu-keyring-udeb
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, choose-mirror, configured-network, di-utils (>= 1.16), gpgv-udeb, ubuntu-keyring-udeb
 Provides: retriever
 Description: Fetch modules from the Internet
  This is a retriever that uses wget to fetch files over http or ftp.

=== debian/rules ===
#!/usr/bin/make -f

build:
	dh_testdir
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	chmod +x net-retriever
	dh_install net-retriever usr/lib/debian-installer/retriever
	dh_install vergt usr/lib/net-retriever

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary-indep: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## net-retriever 1.22ubuntu1

=== debian/changelog ===
net-retriever (1.22ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Fetch installer components from -updates and -security as well as the
      unadorned suite; various hacks to deal with finding -security.
    - Make sure never to download udebs from components other than main and
      restricted.
    - Depend on ubuntu-keyring-udeb rather than debian-archive-keyring-udeb.
    - Fetch installer components from -proposed if apt-setup/proposed is
      true.
    - Fetch udebs from components listed in mirror/udeb/components.
    - Fetch security updates path from apt-setup/security_path if possible.
    - Deduplicate Packages files before passing them to anna.
    - Fetch packages from security host if trying to fetch them from the
      main host fails.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Jun 2008 12:10:56 +0100

net-retriever (1.22) unstable; urgency=low

  [ Philip Hands ]
  * Take all wget references out, and instead use fetch-url from di-utils.
    Requires di-utils >= 1.58.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio

 -- Frans Pop <fjp@debian.org>  Tue, 17 Jun 2008 14:26:54 +0200

net-retriever (1.21ubuntu3) intrepid; urgency=low

  * Build-depend on libdebian-installer4-dev; add ${shlibs:Depends} to
    net-retriever's dependencies.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 30 May 2008 13:19:12 +0100

net-retriever (1.21ubuntu2) intrepid; urgency=low

  * Deduplicate Packages files before passing them to anna (LP: #234486).
    Circumstances conspire to make this excessively difficult, including
    requiring net-retriever to become Architecture: any; this should really
    be done in libdebian-installer, but for the meantime that's even harder.
  * Fetch packages from security host if trying to fetch them from the main
    host fails (LP: #94398).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 30 May 2008 12:44:30 +0100

net-retriever (1.21ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Fetch installer components from -updates and -security as well as the
      unadorned suite; various hacks to deal with finding -security.
    - Make sure never to download udebs from components other than main and
      restricted.
    - Depend on ubuntu-keyring-udeb rather than debian-archive-keyring-udeb.
    - Fetch installer components from -proposed if apt-setup/proposed is
      true.
    - Fetch udebs from components listed in mirror/udeb/components.
    - Fetch security updates path from apt-setup/security_path if possible.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 May 2008 09:49:47 +0200

net-retriever (1.21) unstable; urgency=low

  [ Frans Pop ]
  * Remove Martin Sjogren and Tollef Fog Heen as Uploaders with many thanks
    for their past contributions.

  [ Updated translations ]
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Marathi (mr.po) by Sampada
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Slovak (sk.po) by Ivan Masár
	
 -- Otavio Salvador <otavio@debian.org>  Thu, 08 May 2008 14:06:22 -0300

net-retriever (1.20) unstable; urgency=low

  [ Updated translations ]
  * Hindi (hi.po) by Kumar Appaiah
  * Indonesian (id.po) by Arief S Fitrianto
  * Latvian (lv.po) by Viesturs Zarins
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Turkish (tr.po) by Recai Oktaş
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Otavio Salvador <otavio@debian.org>  Fri, 15 Feb 2008 08:34:33 -0200

net-retriever (1.19) unstable; urgency=low

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Belarusian (be.po) by Hleb Rubanau
  * Bengali (bn.po) by Jamil Ahmed
  * Danish (da.po) by Claus Hindsgaul
  * Italian (it.po) by Stefano Canepa
  * Korean (ko.po) by Changwoo Ryu
  * Malayalam (ml.po) by Praveen|പരവീണ A|എ
  * Panjabi (pa.po) by A S Alam
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Vietnamese (vi.po) by Clytie Siddall

 -- Christian Perrier <bubulle@debian.org>  Thu, 10 Jan 2008 07:50:08 +0100

## net-retriever 1.23

=== debian/changelog ===
net-retriever (1.23) unstable; urgency=low

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bosnian (bs.po) by Armin Besirovic
  * Welsh (cy.po) by Jonathan Price
  * Danish (da.po)
  * Esperanto (eo.po) by Felipe Castro
  * French (fr.po) by Christian Perrier
  * Croatian (hr.po) by Josip Rodin
  * Indonesian (id.po) by Arief S Fitrianto
  * Italian (it.po) by Milo Casagrande
  * Latvian (lv.po) by Peteris Krisjanis
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Serbian (sr.po) by Veselin Mijušković

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Sep 2008 19:23:24 -0300

=== debian/control ===
Source: net-retriever
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>
Build-Depends: debhelper (>= 4.2)
Build-Depends-Indep: dpkg-dev (>= 1.7.0)
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/net-retriever

Package: net-retriever
XC-Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, choose-mirror, configured-network, di-utils (>= 1.58), gpgv-udeb, debian-archive-keyring-udeb
Provides: retriever
Description: Fetch modules from the Internet
 This is a retriever that uses wget to fetch files over http or ftp.

Package: download-installer
XC-Package-Type: udeb
Architecture: all
Priority: extra
Depends: ${misc:Depends}, net-retriever, anna (>= 1.07)
XB-installer-menu-item: 2300
Description: Download installer components

## net-retriever 1.23ubuntu1

=== debian/changelog ===
net-retriever (1.23ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Fetch installer components from -updates and -security as well as the
      unadorned suite; various hacks to deal with finding -security.
    - Make sure never to download udebs from components other than main and
      restricted.
    - Depend on ubuntu-keyring-udeb rather than debian-archive-keyring-udeb.
    - Fetch installer components from -proposed if apt-setup/proposed is
      true.
    - Fetch udebs from components listed in mirror/udeb/components.
    - Fetch security updates path from apt-setup/security_path if possible.
    - Deduplicate Packages files before passing them to anna.
    - Fetch packages from security host if trying to fetch them from the
      main host fails.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 05 Nov 2008 11:52:55 +0000

=== debian/control ===
Source: net-retriever
Section: debian-installer
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>
Build-Depends: debhelper (>= 4.2), libdebian-installer4-dev
Build-Depends-Indep: dpkg-dev (>= 1.7.0)
XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/net-retriever
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/net-retriever/ubuntu

Package: net-retriever
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, choose-mirror, configured-network, di-utils (>= 1.58), gpgv-udeb, ubuntu-keyring-udeb
Provides: retriever
Description: Fetch modules from the Internet
 This is a retriever that uses wget to fetch files over http or ftp.

Package: download-installer
XC-Package-Type: udeb
Architecture: all
Priority: extra
Depends: ${misc:Depends}, net-retriever, anna (>= 1.07)
XB-installer-menu-item: 2300
Description: Download installer components

## net-retriever 1.24ubuntu1

=== debian/changelog ===
net-retriever (1.24ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Fetch installer components from -updates and -security as well as the
      unadorned suite; various hacks to deal with finding -security.
    - Make sure never to download udebs from components other than main and
      restricted.
    - Depend on ubuntu-keyring-udeb rather than debian-archive-keyring-udeb.
    - Fetch installer components from -proposed if apt-setup/proposed is
      true.
    - Fetch udebs from components listed in mirror/udeb/components.
    - Fetch security updates path from apt-setup/security_path if possible.
    - Deduplicate Packages files before passing them to anna.
    - Fetch packages from security host if trying to fetch them from the
      main host fails.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Jun 2009 14:09:15 +0100

net-retriever (1.24) unstable; urgency=low

  [ Christian Perrier ]
  * Bump debhelper compatibility level to 6
  * Add myself as uploader

  [ Updated translations ]
  * Asturian (ast.po) by Marcos Alvarez Costales
  * Bengali (bn.po) by Md. Rezwan Shahid
  * Esperanto (eo.po) by Felipe Castro
  * Estonian (et.po) by Mattias Põldaru
  * Basque (eu.po) by Piarres Beobide
  * Galician (gl.po) by Marce Villarino
  * Hindi (hi.po) by Kumar Appaiah
  * Italian (it.po) by Milo Casagrande
  * Kazakh (kk.po) by daur88
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Marathi (mr.po) by Sampada
  * Tagalog (tl.po) by Eric Pareja

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Jun 2009 19:37:20 +0200

## net-retriever 1.24ubuntu2

=== debian/changelog ===
net-retriever (1.24ubuntu2) lucid; urgency=low

  * rebuild rest of main for armel armv7/thumb2 optimization;
    UbuntuSpec:mobile-lucid-arm-gcc-v7-thumb2

 -- Alexander Sack <asac@ubuntu.com>  Sun, 07 Mar 2010 00:58:17 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Joey Hess <joeyh@debian.org>
-Build-Depends: debhelper (>= 4.2), libdebian-installer4-dev
+Uploaders: Joey Hess <joeyh@debian.org>, Christian Perrier <bubulle@debian.org>
+Build-Depends: debhelper (>= 6.0.0), libdebian-installer4-dev
 Build-Depends-Indep: dpkg-dev (>= 1.7.0)
-XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/net-retriever
+XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/net-retriever
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/net-retriever/ubuntu
 
 Package: net-retriever

## net-retriever 1.24ubuntu2.1

=== Makefile ===
CFLAGS := -Os -fomit-frame-pointer -g -Wall
LDFLAGS := -ldebian-installer

all: deduplicate

clean:
	rm -f deduplicate

=== debian/changelog ===
net-retriever (1.24ubuntu2.1) lucid; urgency=low

  * Deduplicate Packages files entirely in C, massively speeding it up for
    large files (LP: #1067934).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Jul 2013 13:27:08 +0100

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	dh_clean -k
 	chmod +x net-retriever
 	dh_install net-retriever usr/lib/debian-installer/retriever
-	dh_install vergt usr/lib/net-retriever
+	dh_install deduplicate usr/lib/net-retriever
 
 binary-arch: build install
 	dh_testdir

## net-retriever 1.27

=== debian/changelog ===
net-retriever (1.27) unstable; urgency=low

  [ Updated translations ]
  * Lao (lo.po) by Anousak Souphavanh
  * Northern Sami (se.po) by Børre Gaup
  * Sinhala (si.po) by Danishka Navin

 -- Otavio Salvador <otavio@debian.org>  Fri, 24 Dec 2010 20:10:39 -0200

net-retriever (1.26) unstable; urgency=low

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Asturian (ast.po) by maacub
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bengali (bn.po) by Israt Jahan
  * Bosnian (bs.po) by Armin Beširović
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Jacob Sparre Andersen
  * Icelandic (is.po) by Sveinn í Felli
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Otavio Salvador <otavio@debian.org>  Fri, 12 Nov 2010 16:12:10 -0200

net-retriever (1.25) unstable; urgency=low

  [ Colin Watson ]
  * Upgrade to debhelper v7.

  [ Frans Pop ]
  * Remove no longer needed Lintian override for missing Standards-
    Version field.

  [ Updated translations ]
  * Asturian (ast.po) by astur
  * Belarusian (be.po) by Viktar Siarheichyk
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Jacob Sparre Andersen
  * German (de.po) by Holger Wansing
  * Persian (fa.po) by acathur
  * French (fr.po) by Christian Perrier
  * Hindi (hi.po)
  * Croatian (hr.po) by Josip Rodin
  * Indonesian (id.po) by Arief S Fitrianto
  * Italian (it.po) by Milo Casagrande
  * Central Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Arangel Angov
  * Nepali (ne.po)
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Russian (ru.po) by Yuri Kozlov
  * Slovenian (sl.po) by Vanja Cvelbar
  * Simplified Chinese (zh_CN.po) by 苏运强

 -- Christian Perrier <bubulle@debian.org>  Sun, 11 Jul 2010 17:18:48 +0200

=== debian/control ===
Source: net-retriever
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 7.0.0)
Build-Depends-Indep: dpkg-dev (>= 1.7.0)
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/net-retriever

Package: net-retriever
XC-Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, choose-mirror, configured-network, di-utils (>= 1.58), gpgv-udeb, debian-archive-keyring-udeb
Provides: retriever
Description: Fetch modules from the Internet
 This is a retriever that uses wget to fetch files over http or ftp.

Package: download-installer
XC-Package-Type: udeb
Architecture: all
Priority: extra
Depends: ${misc:Depends}, net-retriever, anna (>= 1.07)
XB-Installer-Menu-Item: 2300
Description: Download installer components
